> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Inventory move

> Inventory move

### Request body

`MoveInventoryRequest`

<ParamField body="from_location_id" type="integer (int32)" required />

<ParamField body="lot_id" type="string,null" />

<ParamField body="performed_by" type="string,null" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="reason" type="string,null" />

<ParamField body="sku" type="string" required />

<ParamField body="to_location_id" type="integer (int32)" required />

### Responses

<ResponseField name="200" type="MovementResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/warehouse-inventory/move' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "from_location_id": 1,
    "lot_id": null,
    "performed_by": null,
    "quantity": "string",
    "reason": null,
    "sku": "string",
    "to_location_id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "from_location_id": null,
    "id": "string",
    "movement_type": "string",
    "quantity": "string",
    "reason": null,
    "sku": "string",
    "to_location_id": null
  }
  ```
</ResponseExample>
